Difference between revisions of "Gallery3:Requirements" - Gallery Codex
Personal tools

Difference between revisions of "Gallery3:Requirements"

From Gallery Codex

(Minimum System Requirements)
Line 8: Line 8:
 
* PHP's safe_mode must be disabled and simplexml, filter, and json must be installed.
 
* PHP's safe_mode must be disabled and simplexml, filter, and json must be installed.
 
* PHP must have [http://www.php.net/mbstring mbstring extension] installed.
 
* PHP must have [http://www.php.net/mbstring mbstring extension] installed.
 +
* short_open_tag must be On. See [http://php.net/manual/ini.core.php php.ini directives].
  
 
'''Database''': MySQL 5 and later
 
'''Database''': MySQL 5 and later

Revision as of 13:58, 28 February 2010

Minimum System Requirements

Platform: Linux/Unix

Web Server: Apache 2.2 and newer

PHP: 5.2.3 and newer.

Database: MySQL 5 and later

Browser: Flash is required for the simple file upload function (Add > Add Photos).

Recommended Requirement

PHP Memory Limit: 32M should be the minimum for PHP's memory limit if you're restricted to using GD as your image toolkit. Processing images with GD eats into PHP's allotted memory and can get consumed rather quickly with even smaller images.

advertisements